Lavalite package that provides course management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `college/course`.

    "college/course": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    College\Course\Providers\CourseServiceProvider::class,

And also add it to alias

    'Course'  => College\Course\Facades\Course::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=College\\CourseTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="College\Course\Providers\CourseServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="College\Course\Providers\CourseServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="College\Course\Providers\CourseServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/course/{modulename}

**User**

    http://path-to-route-folder/user/course/{modulename}

**Public**

    http://path-to-route-folder/courses


### API endpoints

**List**

    http://path-to-route-folder/api/user/course/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/course/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/course/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/course/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/course/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/course/{modulename}/{slug}
    METHOD: GET