<?php

// web routes  for course
Route::prefix('{guard}/course')->group(function () {
    Route::resource('course', 'CourseResourceController');
});

// Public routes for course
Route::get('courses/', 'CoursePublicController@index');
Route::get('courses/{slug?}', 'CoursePublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'CourseResourceController');
            });
            // Public routes for pages
            Route::get('courses/', 'CoursePublicController@index');
            Route::get('courses/{slug?}', 'CoursePublicController@show');
        }
    );
}

